<?php

class WMPCS_Frontend {

    function __construct() {
        add_action('woocommerce_thankyou', array($this, 'sync_order'), 10, 1);
    }

    function sync_order($order_id) {
        global $WMPCS_Loader;
        remove_action('woocommerce_thankyou', array($this, 'sync_order'), 10, 1); //remove hook 
        $options = $WMPCS_Loader->wmpcs_options;
        //load settings file
        if (!empty($options)) {
            $current_blog_id = get_current_blog_id();
           
            if (isset($options['post_sync'][$current_blog_id])) {
                $post_sync_options = $options['post_sync'][$current_blog_id];
            } else {
                $post_sync_options = $options['post_sync'];
            }
            if (isset($post_sync_options['post_types']) && in_array('shop_order', $post_sync_options['post_types'])) {
                $sync_to_sites = $post_sync_options['dests'];
                if (!empty($sync_to_sites)) {
                    foreach ($sync_to_sites as $site_id) {
                        WMPCS_Post_Sync::sync_post_to_site($order_id, $site_id);
                    }
                }
            } elseif (isset($options['enable_inventory_sync']) && !empty($options['enable_inventory_sync'])) {
                
                $order = new WC_Order($order_id);
                $order_items = $order->get_items();
                $sync_to_sites = $post_sync_options['dests'];
                if (!empty($order_items)) {
                    foreach ($order_items as $order_item) {
                        $product_id = $order_item->get_product_id();
                        foreach ($sync_to_sites as $site_id) {
                            WMPCS_Post_Sync::sync_post_to_site($product_id, $site_id);
                        }
                    }
                }
            }
        }
    }

}

new WMPCS_Frontend();
