<?php

class WMPCS_Setting {

    static $page_id = "wmpcs";
    static $default_tab = "general";
    //map tab ids to tab names
    static $tabs = array(
        'general' => "General",
        'other' => "Other Settings",
    );
    //posts Settings
    public static $allowed_post_types = array('product', 'post', 'page', 'shop_order', 'shop_coupon');
    //posts Settings
    public static $not_allowed_default_post_types = array('revision', 'attachment', 'shop_webhook', 'customize_changeset', 'custom_css', 'nav_menu_item', 'shop_order_refund');
    
    public static $SYNC_ENABLED_POST_META_KEY_PREFIX = 'wmpcs_post_sync_enabled_for_site_';
    public static $SYNC_DISABLED_POST_META_KEY_PREFIX = 'wmpcs_post_sync_disabled_for_site_';
    public static $SYNCED_POST_ID_PREFIX = 'wmpcs_synced_post_id_on_site_';
    public static $SYNCED_COMMENT_ID_PREFIX = 'wmpcs_synced_comment_id_on_site_';
    //term Settings
    public static $taxonomies_to_sync = array('product_cat');
    public static $NOT_ALLOWED_DEFAULT_TAXONOMIES = array(
        'product_tag',
        'product_shipping_class',
        'product_type',
        'post_format',
        'link_category',
        'nav_menu'
    );
    public static $SYNCED_TERM_ID_PREFIX = 'wmpcs_synced_term_id_on_site_';
    public static $SYNC_ENABLED_TAXONOMY_META_KEY_PREFIX = 'wmpcs_taxonomy_sync_enabled_for_site_';
    public static $SYNC_DISABLED_TAXONOMY_META_KEY_PREFIX = 'wmpcs_taxonomy_sync_disabled_for_site_';
    public static $PLUGIN_OPTIONS = array();
    public static $PLUGIN_OPTIONS_OTHER = array();
    
    public function __construct($options , $options_other ) {
        if (!empty($options)) {
            self::$PLUGIN_OPTIONS = $options;
        }
        if (!empty($options_other)) {
            self::$PLUGIN_OPTIONS_OTHER = $options_other;
        }
    }

    public static function getAllowedTaxonomies() {
      
        if (isset(self::$PLUGIN_OPTIONS['taxonomy_sync'])) {
            $taxonomy_sync_options = array_values(self::$PLUGIN_OPTIONS['taxonomy_sync']);

            if (isset($taxonomy_sync_options[0]['taxonomies'])) {
                return $taxonomy_sync_options[0]['taxonomies'];
            }
        }
        return array();
    }

    public static function woo_version_check($version = '3.0') {
        if (class_exists('WooCommerce')) {
            global $woocommerce;
            if (version_compare($woocommerce->version, $version, ">=")) {
                return true;
            }
        }
        return false;
    }

    static function get_all_tabs() {
        $tabs = apply_filters('wmpcs_tabs', self::$tabs);
        return $tabs;
    }
    
    static function getTabSettings($tab_id = '', $sub_tab = '') {
        if (!empty($tab_id)) {
            $tab_option_key = self::getTabOptionKey($tab_id, $sub_tab);
            return get_option($tab_option_key);
        } else {
            $options = array();
            $tabs = self::get_all_tabs();

            foreach ($tabs as $tab_id => $tab_name) {
                $tab_option_key = self::getTabOptionKey($tab_id, $sub_tab);
                $tab_options = get_option($tab_option_key);
                $options[$tab_id] = $tab_options;
            }
            return $options;
        }
    }

    static function getTabOptionKey($tab_id, $sub_tab = '') {
        if ($sub_tab != '') {
            $sub_tab = "_" . $sub_tab;
        }
        return self::$page_id . "_" . $tab_id . $sub_tab . "_options";
    }

}
