<?php

/*
  Plugin Name: Woo Multisite Product & Category Sync
  Description: Plugin syncs woocommerce/wordpress > posts/products & categories/taxonomies across multiple stores
  Version:     1.0
  Author:      smgom
  Text Domain: WMPCS
 */


if (!function_exists('pr')) {

    function pr($data) {
        echo "<pre>";
        print_r($data);
        echo "</pre>";
    }

}
defined('ABSPATH') or die('No script kiddies please!');

//check if multisite is enabled, wmpts is designed to work with multisites only
function wmpcs_activate() {
    if (!defined('WP_ALLOW_MULTISITE') || !defined('MULTISITE')) {
        deactivate_plugins(plugin_basename(__FILE__));
        wp_die(__('WMPCS : Multisite network must be enabled to use multisite sync plugin!', 'WMPCS'));
    }
}

register_activation_hook(__FILE__, "wmpcs_activate");

add_action('plugins_loaded', 'loadWMPCSPlugin');

function loadWMPCSPlugin() {
    define('WMPCS_DIR', plugin_dir_path(__FILE__));
    define('WMPCS_URL', plugin_dir_url(__FILE__));
    define('WMPCS_OPTION_NAME', 'wmpcs_options');
    define('WMPCS_OTHER_OPTION_NAME', 'wmpcs_other_options');

    $options = get_option(WMPCS_OPTION_NAME);
    $options_other = get_option(WMPCS_OTHER_OPTION_NAME);

    if (is_admin()) { //since plugin only works on admin side
        //admin screens UI
        require_once WMPCS_DIR . 'inc/admin/admin-page-settings.php';
    }

    if (is_admin() || (isset($options['enable_inventory_sync']) && !empty($options['enable_inventory_sync']))) {
        //load settings file
        require_once WMPCS_DIR . 'inc/wmpcs-settings.php';
        new WMPCS_Setting($options , $options_other );

        if (!empty($options)) {
            //load the main file
            require_once WMPCS_DIR . 'inc/loader.php';
            // Global for backwards compatibility.
            $GLOBALS['WMPCS_Loader'] = WMPCS_Loader($options);
        }


        require_once WMPCS_DIR . 'inc/frontend.php';
    }
}

//function sync_order($order_id) {
//    
//}
